Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.fileadapter.appconn
Interface FileClientApplication

All Known Implementing Classes:
  FileClientApplicationImpl

    public interface FileClientApplication

This interface defines the operations made available in Java Collaboration for the File.

Method Summary
`byte[]` | `getByteArray()` Returns the byteArray
`java.lang.String` | `getEncoding()` Returns a valid encoding name.
`java.lang.String` | `getText()` Returns the text
`void` | `setByteArray(byte[] byteArray)` Sets the byte array to be written to a file
`void` | `setEncoding(java.lang.String encoding)` Set valid encoding name.
`void` | `setText(java.lang.String text)` Sets the text to be wriiten to a file
`void` | `write()`
`void` | `writeBytes()`

Method Detail

### setText

    void setText(java.lang.String text)

  Sets the text to be wriiten to a file

  Parameters:
    `text` - the String data to be wriiten to a file

### getText

    java.lang.String getText()

  Returns the text

  Returns:
    text

### setByteArray

    void setByteArray(byte[] byteArray)

  Sets the byte array to be written to a file

  Parameters:
    `byteArray` - byte[] data to be written to a file

### getByteArray

    byte[] getByteArray()

  Returns the byteArray

  Returns:
    byteArray

### setEncoding

    void setEncoding(java.lang.String encoding)

  Set valid encoding name. For all valid encodings, please refer to http://www.ingrid.org/java/i18n/encoding/table.html

  Parameters:
    `encoding` - encoding name as String

### getEncoding

    java.lang.String getEncoding()

  Returns a valid encoding name.

  Returns:
    string valid encoding name

### write

    void write()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### writeBytes

    void writeBytes()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.